/* popUp multiPlane ground attack. V0.06.05 2008/01/13                      */
/* callbacks.c GTK+2.8 widget callbacks                                     */
/* Copyright  2008 Author: Valerio Messina I-EFAA http://users.iol.it/efa  */
/* This file is part of PopUp.
   PopUp is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   PopUp is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.          */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <stdlib.h> /* strtod, atoi */

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

#include "pupData.h"
#include "graph.h"

void
on_spinbutton6_changed                 (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
/* guint signal_id;
   gint ret;
   errOk ret; */
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vrpFeet[0] = number; // 64031.0;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
#if 0
   // metodo 1:
   g_signal_emit_by_name (G_OBJECT (canvasPtr), "expose-event");
   // metodo 2:
   signal_id = g_signal_lookup ("expose-event", 1);
   if (pupDbg>=PRINTVERBOSE) printf ("signal_id:%u\n", signal_id);
   g_signal_emit (G_OBJECT (main_window), signal_id, 0);
   // metodo 3:
   GdkEvent event;
   event.expose.type = GDK_EXPOSE;
   event.expose.window = main_window->window;
   event.expose.send_event = TRUE;
   event.expose.area = ;
   event.expose.region = NULL;
   event.expose.count = 0;
   ret = gtk_widget_send_expose (main_window, &event);
   if (ret!=TRUE) if (pupDbg>=PRINTERROR) printf ("expose event not handled:%u\n", ret);
#endif
   // metodo 4:
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton5_changed                 (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vrpAngl[0] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton8_changed                 (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vipFeet[0] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton7_changed                 (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vipAngl[0] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton10_changed                (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa1Feet[0] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton9_changed                 (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa1Angl[0] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton18_changed                (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
/* gint len;
   gint position;
   GtkEditable* editablePtr;
   GtkEntry* entryPtr;
   GtkSpinButton* gtkSpinButtonPtr; */
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton186");  /* plane1 */
#if 0
   // metodo 1:   need free (textPtr) at the end!
   editablePtr = ;
   gtk_editable_delete_text (editablePtr, 0, -1);
   position = 0;
   len = strlen (textPtr);
   gtk_editable_insert_text (editablePtr, textPtr, len, &position);
   if (position!=len) {
      if (pupDbg>=PRINTERROR) printf ("ERROR %s gtk_editable_insert_text returned:%u and not:%u\n", __FUNCTION__, position, len);
      return (ERROR);
   }
   // metodo 2:
   entryPtr = &((GtkSpinButton*)widgetPtr)->entry; // puntatore al campo entry del widget
   // metodo 3:
   entryPtr = (GtkEntry*)widgetPtr; // puntatore alla entry del widget
   gtk_entry_set_text (entryPtr, textPtr);
   // metodo 4:
   gtkSpinButtonPtr = (GtkSpinButton*)widgetPtr; // puntatore al widget spinbutton
   gtk_spin_button_set_value (gtkSpinButtonPtr, number);
#endif
   // metodo 5:
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton206");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton226");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLatDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton19_changed                (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton187");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton207");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton227");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLatPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton20_changed                (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton188");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton208");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton228");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLonDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton21_changed                (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton189");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton209");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton229");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLonPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton2_changed                 (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa2Feet[0] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton1_changed                 (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa2Angl[0] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton22_changed                (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton192");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton212");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton232");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLatDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton23_changed                (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton193");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton213");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton233");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLatPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton24_changed                (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton194");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton214");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton234");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLonDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton25_changed                (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton195");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton215");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton235");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLonPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton13_changed                (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton196");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton216");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton236");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLatDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton14_changed                (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton197");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton217");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton237");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLatPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton16_changed                (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton198");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton218");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton238");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLonDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton17_changed                (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton199");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton219");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton239");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLonPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_combobox4_changed                   (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_combobox3_changed                   (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_combobox2_changed                   (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_combobox1_changed                   (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_spinbutton180_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vrpFeet[1] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton181_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vrpAngl[1] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton182_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vipFeet[1] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton183_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vipAngl[1] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton184_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa1Feet[1] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton185_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa1Angl[1] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton186_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton18");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton206");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton226");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLatDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton187_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton19");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton207");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton227");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLatPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton188_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton20");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton208");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton228");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLonDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton189_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton21");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton209");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton229");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLonPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton190_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa2Feet[1] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton191_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa2Angl[1] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton192_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton22");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton212");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton232");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLatDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton193_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton23");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton213");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton233");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLatPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton194_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton24");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton214");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton234");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLonDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton195_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton25");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton215");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton235");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLonPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_combobox31_changed                  (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_combobox32_changed                  (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_combobox33_changed                  (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_combobox34_changed                  (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_spinbutton196_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton13");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton216");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton236");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLatDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton197_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton14");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton217");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton237");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLatPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton198_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton16");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton218");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton238");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLonDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton199_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton17");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton219");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton239");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLonPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_combobox35_changed                  (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_combobox36_changed                  (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_combobox37_changed                  (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_combobox38_changed                  (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_combobox39_changed                  (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_combobox40_changed                  (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_combobox41_changed                  (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_combobox42_changed                  (GtkComboBox     *combobox,
                                        gpointer         user_data)
{

}


void
on_spinbutton200_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vrpFeet[2] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton201_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vrpAngl[2] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton202_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vipFeet[2] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);

}


void
on_spinbutton203_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vipAngl[2] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton204_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa1Feet[2] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton205_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa1Angl[2] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton206_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton18");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton186");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton226");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLatDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton207_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton19");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton187");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton227");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLatPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton208_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton20");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton188");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton228");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLonDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton209_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton21");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton189");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton229");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLonPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton210_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa2Feet[2] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton211_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa2Angl[2] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton212_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton22");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton192");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton232");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLatDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton213_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton23");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton193");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton233");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLatPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton214_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton24");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton194");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton234");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLonDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton215_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton25");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton195");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton235");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLonPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton216_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton13");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton196");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton236");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLatDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton217_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton14");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton197");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton237");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLatPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton218_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton16");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton198");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton238");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLonDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton219_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton17");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton199");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton239");  /* plane3 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLonPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton220_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vrpFeet[3] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);

}


void
on_spinbutton221_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vrpAngl[3] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton222_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vipFeet[3] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton223_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   vipAngl[3] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton224_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa1Feet[3] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton225_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa1Angl[3] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton226_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton18");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton186");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton206");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLatDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);

}


void
on_spinbutton227_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton19");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton187");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton207");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLatPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton228_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton20");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton188");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton208");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLonDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton229_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton21");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton189");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton209");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   tarLonPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton230_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa2Feet[3] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton231_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   double number;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = strtod (textPtr, NULL); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%f\n", number);
   g_free (textPtr);
   /* aggiorna i valori del punto con i nuovi dati */
   oa2Angl[3] = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton232_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton22");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton192");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton212");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLatDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton233_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton23");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton193");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton213");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLatPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton234_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton24");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton194");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton214");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLonDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton235_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton25");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton195");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton215");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   rejLonPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton236_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton13");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton196");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton216");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLatDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton237_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton14");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton197");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton217");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLatPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton238_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   signed short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton16");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton198");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton218");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLonDeg = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_spinbutton239_changed               (GtkEditable     *editable,
                                        gpointer         user_data)
{
   gchar* textPtr;
   unsigned short number;
   GtkWidget* widgetPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   /* legge i dati modificati dall'utente */
   textPtr = gtk_editable_get_chars (editable, 0, -1);
   if (pupDbg>=PRINTVERBOSE) printf ("chars:%s\n", textPtr);
   number = atoi (textPtr); // li converte in numero
   if (pupDbg>=PRINTVERBOSE) printf ("num:%u\n", number);
   g_free (textPtr);
   /* aggiorna i widget degli altri aerei */
   widgetPtr = lookup_widget (main_window, "spinbutton17");  /* plane0 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton199");  /* plane1 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   widgetPtr = lookup_widget (main_window, "spinbutton219");  /* plane2 */
   gtk_spin_button_set_value ((GtkSpinButton*)widgetPtr, number);
   /* aggiorna i valori del punto con i nuovi dati */
   splLonPri = number;
   /* ricalcola i punti e ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_togglebutton1_toggled               (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
   GtkWidget* togglebuttonPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   togglebuttonPtr = lookup_widget (main_window, "togglebutton1");
   planesOn[0] = gtk_toggle_button_get_active ((GtkToggleButton*)togglebuttonPtr);
   /* ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_togglebutton2_toggled               (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
   GtkWidget* togglebuttonPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   togglebuttonPtr = lookup_widget (main_window, "togglebutton2");
   planesOn[1] = gtk_toggle_button_get_active ((GtkToggleButton*)togglebuttonPtr);
   /* ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_togglebutton3_toggled               (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
   GtkWidget* togglebuttonPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   togglebuttonPtr = lookup_widget (main_window, "togglebutton3");
   planesOn[2] = gtk_toggle_button_get_active ((GtkToggleButton*)togglebuttonPtr);
   /* ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}


void
on_togglebutton4_toggled               (GtkToggleButton *togglebutton,
                                        gpointer         user_data)
{
   GtkWidget* togglebuttonPtr;
   GtkWidget* canvasPtr;
   GdkRegion* regionPtr;
   togglebuttonPtr = lookup_widget (main_window, "togglebutton4");
   planesOn[3] = gtk_toggle_button_get_active ((GtkToggleButton*)togglebuttonPtr);
   /* ridisegna il grafico */
   canvasPtr = lookup_widget (main_window, "drawingarea1");
   regionPtr = gdk_drawable_get_clip_region (canvasPtr->window);
   gdk_window_invalidate_region (canvasPtr->window, regionPtr, TRUE);
   //gdk_window_process_updates (canvasPtr->window, TRUE);
   gdk_region_destroy (regionPtr);
}

#if 0
void
on_nuovo1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}
#endif

void
on_load_default1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
   errOk ret;
   if (pupDbg>=PRINTBATCH) printf ("default\n");
   ret = allDefaultSet ();
   if (ret!=OK) {
      if (pupDbg>=PRINTERROR) printf ("ERROR %s allDefaultSet returned:%d not OK\n", __FUNCTION__, ret);
      //return (ERROR);
   }
}


void
on_apri1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
   if (pupDbg>=PRINTBATCH) printf ("apri\n");
   filechoser1DialogPtr = create_filechooserdialog1 ();
   gtk_widget_show (filechoser1DialogPtr);
}


void
on_salva1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
   if (pupDbg>=PRINTBATCH) printf ("salva\n");
}


void
on_salva_come1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
   if (pupDbg>=PRINTBATCH) printf ("salva come\n");
   filechoser2DialogPtr = create_filechooserdialog2 ();
   gtk_widget_show (filechoser2DialogPtr);

}


void
on_esci1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
   if (pupDbg>=PRINTBATCH) printf ("esci\n");
   gtk_main_quit();
}


void
on_taglia1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_copia1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_incolla1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_elimina1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
   if (pupDbg>=PRINTBATCH) printf ("about\n");
   aboutDialogPtr = create_aboutdialog1 ();
   gtk_widget_show (aboutDialogPtr);
}


void
on_weapon_delivery_planner1_activate   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
   if (pupDbg>=PRINTBATCH) printf ("import\n");
}


void
on_aboutdialog1_close                  (GtkDialog       *dialog,
                                        gpointer         user_data)
{
   if (pupDbg>=PRINTBATCH) printf ("about close\n");
   gtk_widget_hide (aboutDialogPtr);
}


void
on_filechooserdialog1_close            (GtkDialog       *dialog,
                                        gpointer         user_data)
{
   if (pupDbg>=PRINTBATCH) printf ("open close\n");
   gtk_widget_hide (filechoser1DialogPtr);
}


void
on_filechooserdialog2_close            (GtkDialog       *dialog,
                                        gpointer         user_data)
{
   if (pupDbg>=PRINTBATCH) printf ("save as close\n");
   gtk_widget_hide (filechoser2DialogPtr);
}


void
on_button1_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
   if (pupDbg>=PRINTBATCH) printf ("open cancel\n");
   gtk_widget_hide (filechoser1DialogPtr);
}


void
on_button2_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
   if (pupDbg>=PRINTBATCH) printf ("open open\n");
   gtk_widget_hide (filechoser1DialogPtr);
}


void
on_button3_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
   if (pupDbg>=PRINTBATCH) printf ("save as cancel\n");
   gtk_widget_hide (filechoser2DialogPtr);
}


void
on_button4_clicked                     (GtkButton       *button,
                                        gpointer         user_data)
{
   if (pupDbg>=PRINTBATCH) printf ("save as save\n");
   gtk_widget_hide (filechoser2DialogPtr);
}

