/* popUp multiPlane ground attack. V0.06.05 2008/01/13                      */
/* Copyright  2008 Author: Valerio Messina I-EFAA http://users.iol.it/efa  */
/* coord.h interface to reference coordinate type and conversion functions  */
/* This file is part of PopUp.
   PopUp is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   PopUp is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.          */

#ifndef _INCcoordh
#define _INCcoordh

#include "comType.h"

typedef struct coord { /* all measures are SI */
   double latRad; // latitude  in radians
   double lonRad; // longitude in radians
   double lat;    // latitude  in meters on Earth surface
   double lon;    // longitude in meters on Earth surface
   double ran;    // range     in meters on Earth surface
   double bea;    // bearing   in radians
} coordTy;

typedef struct deg {
   double deg; // gradi, comprende segno, primi e secondi
   double pri; // primi>0, comprende i secondi
   double sec; // secondi>0
   bool   sgnInt; // true se negativo, needed if -180<deg<0
   u16    degInt; // gradi interi
   u08    priInt; // primi interi
   u08    secInt; // secondi interi
} degTy;

/* converte da cartesiane (radianti,radianti) a cartesiane (metri,metri) */
errOk rad2metr (coordTy* coordPtr);

/* converte da cartesiane (metri,metri) a cartesiane (radianti,radianti) */
errOk metr2rad (coordTy* coordPtr);

/* converte da cartesiane (metri,metri) a polariGeo (metri,rad) */
/* le polariGeo hanno gli 0 verso l'alto, e aumentano in senso orario */
errOk cart2pol (coordTy* coordPtr);

/* converte da polariGeo (metri,rad) a cartesiane (metri,metri) */
/* le polariGeo hanno gli 0 verso l'alto, e aumentano in senso orario */
errOk pol2cart (coordTy* coordPtr);

#endif /* INCcoordh */
