/* popUp multiPlane ground attack. V0.06.05 2008/01/13                      */
/* main.c applet entry point, define all startup default values             */
/* Copyright  2008 Author: Valerio Messina I-EFAA http://users.iol.it/efa  */
/* This file is part of PopUp.
   PopUp is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   PopUp is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.          */
/*
 * Initial main.c file generated by Glade. Edit as required.
 * Glade will not overwrite this file.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "interface.h"
#include "support.h"

#include "pupData.h"
#include "graph.h"

gchar *package_prefix = PACKAGE_PREFIX;
gchar *package_data_dir = PACKAGE_DATA_DIR;
#ifdef ENABLE_NLS
   gchar *package_locale_dir = PACKAGE_LOCALE_DIR;
#endif

GtkWidget* main_window;               /* puntatore alla finestra principale */
GtkWidget* aboutDialogPtr;                   /* puntatore alla about window */
GtkWidget* filechoser1DialogPtr;
GtkWidget* filechoser2DialogPtr;

/* set defaults for all widget of a plane */
errOk widgetDefaultSet (u08 plane) {
   GtkWidget* togglebuttonPtr;
   GtkWidget* comboBoxPtr;
   GtkWidget* spinbuttonPtr;
   if (plane>=Planes) {
      if (pupDbg>=PRINTERROR) printf ("ERROR %s plane:%u must be <%u\n", __FUNCTION__, plane, Planes);
      return (ERROR);
   }
   planesOn[plane] = true; // attiva visualizzazione all'avvio
   switch (plane) {
   case 0:
      /* imposta i valori di default dei togglebutton */
      togglebuttonPtr = lookup_widget (main_window, "togglebutton1");
      gtk_toggle_button_set_active ((GtkToggleButton*)togglebuttonPtr, planesOn[plane]);
      /* imposta valori di default all'avvio dei combobox (unit di misura) */
      comboBoxPtr = lookup_widget (main_window, "combobox1");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 0); // 0---------
      comboBoxPtr = lookup_widget (main_window, "combobox2");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 0); // 0---------
      comboBoxPtr = lookup_widget (main_window, "combobox3");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 1); // 0---------
      comboBoxPtr = lookup_widget (main_window, "combobox4");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 1); // 0---------
      /* imposta i punti in coordinate polari */
      spinbuttonPtr = lookup_widget (main_window, "spinbutton6");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vrpFeet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton5");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vrpAngl[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton8");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vipFeet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton7");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vipAngl[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton10");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa1Feet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton9");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa1Angl[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton2");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa2Feet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton1");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa2Angl[plane]);
      /* imposta i punti in coordinate cartesiane */
      spinbuttonPtr = lookup_widget (main_window, "spinbutton13");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLatDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton14");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLatPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton16");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLonDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton17");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLonPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton18");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLatDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton19");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLatPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton20");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLonDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton21");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLonPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton22");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLatDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton23");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLatPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton24");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLonDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton25");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLonPri);
      break;
   case 1:
      /* imposta i valori di default dei togglebutton */
      togglebuttonPtr = lookup_widget (main_window, "togglebutton2");
      gtk_toggle_button_set_active ((GtkToggleButton*)togglebuttonPtr, planesOn[plane]);
      /* imposta valori di default all'avvio dei combobox (unit di misura) */
      comboBoxPtr = lookup_widget (main_window, "combobox31");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 1); // 1---------
      comboBoxPtr = lookup_widget (main_window, "combobox32");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 1); // 1---------
      comboBoxPtr = lookup_widget (main_window, "combobox33");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 0); // 1---------
      comboBoxPtr = lookup_widget (main_window, "combobox34");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 0); // 1---------
      /* imposta i punti in coordinate polari */
      spinbuttonPtr = lookup_widget (main_window, "spinbutton180");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vrpFeet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton181");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vrpAngl[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton182");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vipFeet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton183");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vipAngl[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton184");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa1Feet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton185");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa1Angl[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton190");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa2Feet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton191");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa2Angl[plane]);
      /* imposta i punti in coordinate cartesiane */
      spinbuttonPtr = lookup_widget (main_window, "spinbutton196");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLatDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton197");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLatPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton198");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLonDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton199");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLonPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton186");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLatDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton187");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLatPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton188");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLonDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton189");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLonPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton192");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLatDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton193");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLatPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton194");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLonDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton195");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLonPri);
      break;
   case 2:
      /* imposta i valori di default dei togglebutton */
      togglebuttonPtr = lookup_widget (main_window, "togglebutton3");
      gtk_toggle_button_set_active ((GtkToggleButton*)togglebuttonPtr, planesOn[plane]);
      /* imposta valori di default all'avvio dei combobox (unit di misura) */
      comboBoxPtr = lookup_widget (main_window, "combobox35");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 1); // 2---------
      comboBoxPtr = lookup_widget (main_window, "combobox36");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 1); // 2---------
      comboBoxPtr = lookup_widget (main_window, "combobox37");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 0); // 2---------
      comboBoxPtr = lookup_widget (main_window, "combobox38");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 0); // 2---------
      /* imposta i punti in coordinate polari */
      spinbuttonPtr = lookup_widget (main_window, "spinbutton200");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vrpFeet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton201");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vrpAngl[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton202");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vipFeet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton203");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vipAngl[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton204");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa1Feet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton205");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa1Angl[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton210");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa2Feet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton211");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa2Angl[plane]);
      /* imposta i punti in coordinate cartesiane */
      spinbuttonPtr = lookup_widget (main_window, "spinbutton216");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLatDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton217");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLatPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton218");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLonDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton219");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLonPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton206");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLatDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton207");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLatPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton208");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLonDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton209");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLonPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton212");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLatDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton213");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLatPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton214");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLonDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton215");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLonPri);
      break;
   case 3:
      /* imposta i valori di default dei togglebutton */
      togglebuttonPtr = lookup_widget (main_window, "togglebutton4");
      gtk_toggle_button_set_active ((GtkToggleButton*)togglebuttonPtr, planesOn[plane]);
      /* imposta valori di default all'avvio dei combobox (unit di misura) */
      comboBoxPtr = lookup_widget (main_window, "combobox39");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 1); // 3---------
      comboBoxPtr = lookup_widget (main_window, "combobox40");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 1); // 3---------
      comboBoxPtr = lookup_widget (main_window, "combobox41");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 0); // 3---------
      comboBoxPtr = lookup_widget (main_window, "combobox42");
      gtk_combo_box_set_active (GTK_COMBO_BOX (comboBoxPtr), 0); // 3---------
      /* imposta i punti in coordinate polari */
      spinbuttonPtr = lookup_widget (main_window, "spinbutton220");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vrpFeet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton221");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vrpAngl[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton222");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vipFeet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton223");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, vipAngl[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton224");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa1Feet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton225");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa1Angl[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton230");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa2Feet[plane]);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton231");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, oa2Angl[plane]);
      /* imposta i punti in coordinate cartesiane */
      spinbuttonPtr = lookup_widget (main_window, "spinbutton236");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLatDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton237");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLatPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton238");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLonDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton239");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, splLonPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton226");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLatDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton227");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLatPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton228");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLonDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton229");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, tarLonPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton232");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLatDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton233");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLatPri);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton234");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLonDeg);
      spinbuttonPtr = lookup_widget (main_window, "spinbutton235");
      gtk_spin_button_set_value ((GtkSpinButton*)spinbuttonPtr, rejLonPri);
      break;
   default:
      if (pupDbg>=PRINTERROR) printf ("ERROR %s plane:%u should be <%u\n", __FUNCTION__, plane, Planes);
      return (ERROR);
   }
   return (OK);
}

/* imposta tutto al default. All'avvio e con Menu File, Load Default */
errOk allDefaultSet (void) {
   u08 plane;
   errOk ret;
   pointsReset (); /* azzera il vettore di strutture */
   for (plane=0; plane<Planes; plane++) {
      ret = pointsDefaultSet (plane); /* assegna valori dei punti default all'avvio */
      if (ret!=OK) {
         if (pupDbg>=PRINTERROR) printf ("ERROR %s pointsDefaultSet returned:%d not OK\n", __FUNCTION__, ret);
         return (ERROR);
      }
      ret = widgetDefaultSet (plane); /* imposta i valori dei widget */
      if (ret!=OK) {
         if (pupDbg>=PRINTERROR) printf ("ERROR %s widgetDefaultSet returned:%d not OK\n", __FUNCTION__, ret);
         return (ERROR);
      }
      ret = calcCoords (plane); /* calcola tutti valori necessari al disegno */
      if (ret!=OK) {
         if (pupDbg>=PRINTERROR) printf ("ERROR %s calcCoords returned:%d not OK\n", __FUNCTION__, ret);
         return (ERROR);
      }
   }
   return (OK);
}   

int main (int argc, char *argv[]) {
   //GtkWidget* main_window; // per ora uso quello globale
   gchar* pixmap_dir;
   if (pupDbg>=PRINTVERBOSE) printf ("%s package_prefix    :'%s'\n", __FUNCTION__, package_prefix);
   if (pupDbg>=PRINTVERBOSE) printf ("%s package_data_dir  :'%s'\n", __FUNCTION__, package_data_dir);
   if (pupDbg>=PRINTVERBOSE) printf ("%s package_locale_dir:'%s'\n", __FUNCTION__, package_locale_dir);
#ifdef G_OS_WIN32
   package_prefix = g_win32_get_package_installation_directory (NULL, NULL);
#else
   package_prefix = ".";
#endif
   package_data_dir = g_build_filename (package_prefix, "share", NULL);
   package_locale_dir = g_build_filename (package_prefix, "share", "locale", NULL);
   if (pupDbg>=PRINTVERBOSE) printf ("%s package_prefix    :'%s'\n", __FUNCTION__, package_prefix);
   if (pupDbg>=PRINTVERBOSE) printf ("%s package_data_dir  :'%s'\n", __FUNCTION__, package_data_dir);
   if (pupDbg>=PRINTVERBOSE) printf ("%s package_locale_dir:'%s'\n", __FUNCTION__, package_locale_dir);
   if (pupDbg>=PRINTVERBOSE) printf ("%s PACKAGE           :'%s'\n", __FUNCTION__, PACKAGE);

#ifdef ENABLE_NLS
   bindtextdomain (GETTEXT_PACKAGE, package_locale_dir);
   bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
   textdomain (GETTEXT_PACKAGE);
#endif

   gtk_set_locale ();
   gtk_init (&argc, &argv);

   if (pupDbg>=PRINTBATCH) printf ("%s"" ""%s\n", AppletName, AppletVer);
   if (pupDbg>=PRINTBATCH) printf ("Coordinate a PopUp Ground Attack with multiple planes\n");
   if (pupDbg>=PRINTBATCH) printf ("Author: %s\n", AppletAuth);
   if (pupDbg>=PRINTBATCH) printf ("This is free software, use it under the GNU GPLv3 and any later conditions\n");

   add_pixmap_directory (package_prefix); // dove sta l'eseguibile
   pixmap_dir = g_build_filename (package_prefix, "pixmaps", NULL);
   if (pupDbg>=PRINTVERBOSE) printf ("%s pixmap_dir        :'%s'\n", __FUNCTION__, pixmap_dir);
   add_pixmap_directory (pixmap_dir);
   pixmap_dir = g_build_filename (package_prefix, "../pixmaps", NULL);
   if (pupDbg>=PRINTVERBOSE) printf ("%s pixmap_dir        :'%s'\n", __FUNCTION__, pixmap_dir);
   add_pixmap_directory (pixmap_dir);
   g_free (pixmap_dir);

  /*
   * The following code was added by Glade to create one of each component
   * (except popup menus), just so that you see something after building
   * the project. Delete any components that you don't want shown initially.
   */
   main_window = create_main_window ();

   { /* various init *//* added by efa */
      GtkWidget* canvasPtr;
      errOk ret;
      ret = allDefaultSet ();
      if (ret!=OK) {
         if (pupDbg>=PRINTERROR) printf ("ERROR %s allDefaultSet returned:%d not OK\n", __FUNCTION__, ret);
         return (ERROR);
      }
      gtk_window_set_title ((GtkWindow*)main_window, AppletName " " AppletVer " by " AppletAuth);
      /* definisce qual' la funzione di disegno del grafico: 'exposeCanvas' */
      canvasPtr = lookup_widget (main_window, "drawingarea1");
      g_signal_connect (G_OBJECT (canvasPtr), "expose-event", G_CALLBACK (exposeCanvas), NULL);
   } /* added by efa */

   gtk_widget_show (main_window);
   g_signal_connect ((gpointer) main_window, "destroy", G_CALLBACK(gtk_main_quit),
                    NULL);

   gtk_main ();
   
   g_free (package_prefix);
   g_free (package_data_dir);
#ifdef ENABLE_NLS
   g_free (package_locale_dir);
#endif
   return 0;
}

#ifdef _MSC_VER
#  include <windows.h>
int WINAPI WinMain (HINSTANCE hInstance,
                    HINSTANCE hPrevInstance,
                    LPSTR lpCmdLine,
                    int nCmdShow) {
   return main (__argc, __argv);
}
#endif

